Redmine - Defect #33170

Login problem - error with certificate
2020-03-18 11:26 - Forall Forall

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version:

Resolution: No feedback Affected version: 4.1.0
Description

Hello,

| upgrade my redmine to the latest version 4.1.0 on debian 10.3 with ruby-2.7.0-preview1.

An error occurred when authenticating: SSL_connect returned=1 errno=0 state=error: certificate verify failed (unable to get local

issuer certificate)

History

#1 - 2020-03-25 05:01 - Go MAEDA

Perhaps it is related to #24970 and #29606. Could you try the following steps?

1. Backup your Redmine's database

2. Connect to the database with a command line client such as mysql or psq|

3. Run the following SQL.

update auth_sources set verify_peer=false;

#2 - 2020-12-22 15:49 - Go MAEDA
- Status changed from New to Closed

- Resolution set to No feedback

#3 - 2021-10-14 15:04 - Pierre de LESPINAY
- File Screenshot from 2021-10-14 15-03-11.png added

#4 - 2021-10-14 15:06 - Pierre de LESPINAY
- File Idaps.png added

| had this issue, this update solved it.
But just using the option "LDAPS without certificated check" solved it too.
So no need to do the SQL update for me.

ldaps.png
